Skip to main content
PUT
/
api
/
v1
/
question-logic
/
{logic_id}
Update Question Logic
curl --request PUT \
  --url https://api.getversive.com/api/v1/question-logic/{logic_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "operation": "not_equals",
  "comparison_value": "no"
}
'
{
  "detail": [
    {
      "loc": [
        "body",
        "title"
      ],
      "msg": "field required",
      "type": "value_error.missing"
    }
  ]
}
Modify an existing logic rule.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

logic_id
string
required

Body

application/json
operation
string
required
comparison_value
string | null
default:""
comparison_value_type
string | null
default:""
next_question_id
string | null
default:""
redirect_url
string | null
default:""
end_interview
boolean | null
default:false
action_type
string | null
default:""
language
string | null
default:English

Response

Successful Response